GRANT EXECUTE ON [dbo].[Data.Application.Reporting_Employer] TO [FocusAgent] 
GRANT EXECUTE ON [dbo].[Data.Application.Reporting_JobSeeker] TO [FocusAgent] 
GRANT EXECUTE ON [dbo].[Data.Application.Reporting_StaffActivity] TO [FocusAgent] 

GRANT EXECUTE ON [dbo].[Data.Report.Reporting_Activity] TO [FocusAgent] 
GRANT EXECUTE ON [dbo].[Data.Report.Reporting_Employer] TO [FocusAgent] 
GRANT EXECUTE ON [dbo].[Data.Report.Reporting_Employer_Grouped] TO [FocusAgent] 
GRANT EXECUTE ON [dbo].[Data.Report.Reporting_JobOrder] TO [FocusAgent] 
GRANT EXECUTE ON [dbo].[Data.Report.Reporting_JobOrder_Grouped] TO [FocusAgent] 
GRANT EXECUTE ON [dbo].[Data.Report.Reporting_JobSeeker] TO [FocusAgent] 
GRANT EXECUTE ON [dbo].[Data.Report.Reporting_JobSeeker_Grouped] TO [FocusAgent] 

GRANT EXECUTE ON [dbo].[PageState_ExpirePageState] TO [FocusAgent] 
GRANT EXECUTE ON [dbo].[PageState_LoadPageState] TO [FocusAgent] 
GRANT EXECUTE ON [dbo].[PageState_SavePageState] TO [FocusAgent] 

GRANT EXECUTE ON [dbo].[Data_Application_GetEmployersPostingsOrderByEmployerNameAsc] TO [FocusAgent]
GRANT EXECUTE ON [dbo].[Data_Application_GetEmployersPostingsOrderByEmployerNameDesc] TO [FocusAgent]
GRANT EXECUTE ON [dbo].[Data_Application_GetEmployersPostingsOrderByJobTitleAsc] TO [FocusAgent]
GRANT EXECUTE ON [dbo].[Data_Application_GetEmployersPostingsOrderByJobTitleDesc] TO [FocusAgent]
GRANT EXECUTE ON [dbo].[Data_Application_GetEmployersPostingsOrderByNumberOfPositionsAsc] TO [FocusAgent]
GRANT EXECUTE ON [dbo].[Data_Application_GetEmployersPostingsOrderByPostingDateAsc] TO [FocusAgent]
GRANT EXECUTE ON [dbo].[Data_Application_GetEmployersPostingsOrderByPostingDateDesc] TO [FocusAgent]
GRANT EXECUTE ON [dbo].[Data_Application_GetPostingPersonMatches] TO [FocusAgent]
GRANT EXECUTE ON [dbo].[Data_Application_GetRecentlyPlacedPersonMatchesOrderByBusinessUnitNameAsc] TO [FocusAgent]
GRANT EXECUTE ON [dbo].[Data_Application_GetRecentlyPlacedPersonMatchesOrderByBusinessUnitNameDesc] TO [FocusAgent]
GRANT EXECUTE ON [dbo].[Data_Application_GetRecentlyPlacedPersonMatchesOrderByPlacedPersonNameAsc] TO [FocusAgent]
GRANT EXECUTE ON [dbo].[Data_Application_GetRecentlyPlacedPersonMatchesOrderByPlacedPersonNameDesc] TO [FocusAgent]
GRANT EXECUTE ON [dbo].[Report.EmployerActionTotals] TO [FocusAgent]
GRANT EXECUTE ON [dbo].[Report.EmployerActionTotalsForIds] TO [FocusAgent]
GRANT EXECUTE ON [dbo].[Report.EmployerKeywordFilter] TO [FocusAgent]
GRANT EXECUTE ON [dbo].[Report.EmployerActionTotalsForIds] TO [FocusAgent]
GRANT EXECUTE ON [dbo].[Report.EmployerKeywordFilter] TO [FocusAgent]
GRANT EXECUTE ON [dbo].[Report.JobOrderActionTotals] TO [FocusAgent]
GRANT EXECUTE ON [dbo].[Report.JobOrderActionTotalsForIds] TO [FocusAgent]
GRANT EXECUTE ON [dbo].[Report.JobOrderKeywordFilter] TO [FocusAgent]
GRANT EXECUTE ON [dbo].[Report.JobSeekerActionTotals] TO [FocusAgent]
GRANT EXECUTE ON [dbo].[Report.JobSeekerActionTotalsForIds] TO [FocusAgent]
GRANT EXECUTE ON [dbo].[Report.JobSeekerActivityTotals] TO [FocusAgent]
GRANT EXECUTE ON [dbo].[Report.JobSeekerActivityTotalsForIds] TO [FocusAgent]
GRANT EXECUTE ON [dbo].[Report.JobSeekerKeywordFilter] TO [FocusAgent]

GRANT SELECT ON [dbo].[Split] TO [FocusAgent] 
GRANT EXECUTE ON dbo.CalculateDistance TO [FocusAgent] 
GRANT EXECUTE ON dbo.[Data.Application.GetBusinessDays] TO [FocusAgent]
GRANT EXECUTE ON [dbo].[Data.Application.JobSeekerSurveyTotals] TO [FocusAgent]